Text.XML.HaXml.XmlContent.Parser

# Re-export the relevant set of generic XML document type definitions

data Document i
data Element i
data ElemTag
data Content i
type Attribute
data AttValue
data Prolog
data Reference

# The enabling classes, that define parsing/unparsing between Haskell

class XmlContent a
class XmlAttributes a
class XmlAttrType a

## Auxiliaries for writing parsers in the XmlContent class

type XMLParser a
content
posnElement
element
interior
inElement
text
attributes
posnElementWith
elementWith
inElementWith
choice
definite

## Auxiliaries for generating in the XmlContent class

mkElem
mkElemC
mkAttr
toText
toCData

## Auxiliaries for the attribute-related classes

maybeToAttr
defaultToAttr
definiteA
defaultA
possibleA
fromAttrToStr
toAttrFrStr
data Defaultable a
str2attr
attr2str
attval

# Explicit representation of Haskell datatype information

# Types useful for some content models

data List1 a
data ANYContent